#Module-Specific definitions
%define mod_version 20031023
%define release 1mdk
%define mod_name mod_log_mysql
%define mod_conf A25_%{mod_name}.conf
%define mod_so %{mod_name}.so
%define sourcename %{mod_name}-%{mod_version}

#New ADVX macros
%define ADVXdir %{_datadir}/ADVX
%{expand:%(cat %{ADVXdir}/ADVX-build)}
%{expand:%%global ap_version %(%{apxs} -q ap_version)}

# Standard Module Definitions
%define name %{ap_name}-%{mod_name}
%define version %{ap_version}_%{mod_version}

#Standard ADVX requires
Prereq:		%{ap_name} = %{ap_version}
Prereq:		%{ap_name}-conf
BuildPreReq:	ADVX-build >= 9.2
BuildRequires:	%{ap_name}-devel >= 2.0.48-1mdk
Provides: 	ADVXpackage
Provides:	AP20package

Summary:	MySQL logging module for the %{ap_name} Web server.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Servers
Source0: 	%{mod_name}-%{mod_version}.tar.bz2
Source1:	%{mod_conf}.bz2
License:	Apache License
URL:		http://bitbrook.de/software/mod_log_mysql/
BuildRequires:	MySQL-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
mod_log_mysql is a module for the %{ap_name} webserver which
permits request logging into a MySQL database

%prep

%setup -q -n %{mod_name}-%{mod_version}

%build
%{apxs} -L%{_libdir}/mysql -I%{_includedir}/mysql -c %{mod_name}.c -lmysqlclient

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%ADVXinstlib
%ADVXinstconf %{SOURCE1} %{mod_conf}
%ADVXinstdoc %{name}-%{version}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%ADVXpost

%postun
%ADVXpost

%files
%defattr(-,root,root)
%doc mod_log_mysql.html quickstart.html
%config(noreplace) %{ap_confd}/%{mod_conf}
%{ap_extralibs}/%{mod_so}
%{ap_webdoc}/*

%changelog
* Wed Nov 12 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.48_20031023-1mdk
- initial cooker contrib
